diff --git a/dlls/ntoskrnl.exe/ntoskrnl.c b/dlls/ntoskrnl.exe/ntoskrnl.c
index 57d7be3..7ec8219 100644
--- a/dlls/ntoskrnl.exe/ntoskrnl.c
+++ b/dlls/ntoskrnl.exe/ntoskrnl.c
@@ -1812,6 +1812,26 @@ void WINAPI ExFreePoolWithTag( void *ptr, ULONG tag )
 
 
 /***********************************************************************
+ *           ExInitializeResourceLite   (NTOSKRNL.EXE.@)
+ */
+NTSTATUS WINAPI ExInitializeResourceLite( PERESOURCE resource )
+{
+    FIXME( "stub: %p\n", resource );
+    return STATUS_SUCCESS;
+}
+
+
+/***********************************************************************
+ *           ExDeleteResourceLite   (NTOSKRNL.EXE.@)
+ */
+NTSTATUS WINAPI ExDeleteResourceLite( PERESOURCE resource )
+{
+    FIXME( "stub: %p\n", resource );
+    return STATUS_SUCCESS;
+}
+
+
+/***********************************************************************
  *           KeGetCurrentThread   (NTOSKRNL.EXE.@)
  */
 PKTHREAD WINAPI KeGetCurrentThread(void)
diff --git a/dlls/ntoskrnl.exe/ntoskrnl.exe.spec b/dlls/ntoskrnl.exe/ntoskrnl.exe.spec
index 5f61669..836a301 100644
--- a/dlls/ntoskrnl.exe/ntoskrnl.exe.spec
+++ b/dlls/ntoskrnl.exe/ntoskrnl.exe.spec
@@ -125,7 +125,7 @@
 @ stub ExCreateCallback
 @ stub ExDeleteNPagedLookasideList
 @ stub ExDeletePagedLookasideList
-@ stub ExDeleteResourceLite
+@ stdcall ExDeleteResourceLite(ptr)
 @ stub ExDesktopObjectType
 @ stub ExDisableResourceBoostLite
 @ stub ExEnumHandleTable
@@ -141,7 +141,7 @@
 @ stub ExGetSharedWaiterCount
 @ stub ExInitializeNPagedLookasideList
 @ stub ExInitializePagedLookasideList
-@ stub ExInitializeResourceLite
+@ stdcall ExInitializeResourceLite(ptr)
 @ stub ExInitializeZone
 @ stub ExInterlockedAddLargeInteger
 @ stub ExInterlockedAddUlong
diff --git a/include/ddk/wdm.h b/include/ddk/wdm.h
index 331ef5c..3a771a2 100644
--- a/include/ddk/wdm.h
+++ b/include/ddk/wdm.h
@@ -1021,6 +1021,33 @@ typedef struct _KUSER_SHARED_DATA {
     } DUMMYUNIONNAME;
 } KSHARED_USER_DATA, *PKSHARED_USER_DATA;
 
+typedef ULONG_PTR ERESOURCE_THREAD;
+
+typedef struct _OWNER_ENTRY {
+    ERESOURCE_THREAD OwnerThread;
+    union {
+        LONG OwnerCount;
+        ULONG TableSize;
+    } DUMMYUNIONNAME;
+} OWNER_ENTRY, *POWNER_ENTRY;
+
+typedef struct _ERESOURCE {
+    LIST_ENTRY SystemResourcesList;
+    POWNER_ENTRY OwnerTable;
+    SHORT ActiveCount;
+    USHORT Flag;
+    PKSEMAPHORE SharedWaiters;
+    PKEVENT ExclusiveWaiters;
+    OWNER_ENTRY OwnerThreads[2];
+    ULONG ContentionCount;
+    USHORT NumberOfSharedWaiters;
+    USHORT NumberOfExclusiveWaiters;
+    union {
+        PVOID Address;
+        ULONG_PTR CreatorBackTraceIndex;
+    } DUMMYUNIONNAME;
+    KSPIN_LOCK SpinLock;
+} ERESOURCE, *PERESOURCE;
 
 typedef enum _LOCK_OPERATION {
     IoReadAccess,
@@ -1084,8 +1111,10 @@ PVOID     WINAPI ExAllocatePool(POOL_TYPE,SIZE_T);
 PVOID     WINAPI ExAllocatePoolWithQuota(POOL_TYPE,SIZE_T);
 PVOID     WINAPI ExAllocatePoolWithTag(POOL_TYPE,SIZE_T,ULONG);
 PVOID     WINAPI ExAllocatePoolWithQuotaTag(POOL_TYPE,SIZE_T,ULONG);
+NTSTATUS  WINAPI ExDeleteResourceLite(PERESOURCE);
 void      WINAPI ExFreePool(PVOID);
 void      WINAPI ExFreePoolWithTag(PVOID,ULONG);
+NTSTATUS  WINAPI ExInitializeResourceLite(PERESOURCE);
 
 NTSTATUS  WINAPI IoAllocateDriverObjectExtension(PDRIVER_OBJECT,PVOID,ULONG,PVOID*);
 PVOID     WINAPI IoAllocateErrorLogEntry(PVOID,UCHAR);
